if NOT exists (select 1 from sys.columns where name = 'CD_CTR' AND OBJECT_ID = OBJECT_ID('pdv_consld_vd_movimento_reprocessar'))
    BEGIN
    ALTER TABLE PDV_CONSLD_VD_MOVIMENTO_REPROCESSAR DROP CONSTRAINT PK_PDV_CONSLD_VD_MOVIMENTO_REPROCESSAR
    ALTER TABLE PDV_CONSLD_VD_MOVIMENTO_REPROCESSAR ADD CD_CTR INT IDENTITY (1,1)  
    ALTER TABLE PDV_CONSLD_VD_MOVIMENTO_REPROCESSAR ADD CONSTRAINT PK_PDV_CONSLD_VD_MOVIMENTO_REPROCESSAR PRIMARY KEY (CD_CTR)
    END